summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2020-02-19 14:24:29 +0100
committerLars Wendler <polynomial-c@gentoo.org>2020-02-19 14:24:29 +0100
commit1c541fcb6dbcbf9300809ab0339392d3f94d32ee (patch)
tree4419b963b90309566f1787f67c2c73bba63b68c5 /games-strategy
parentgames-strategy/freeciv: Removed old (diff)
downloadgentoo-1c541fcb6dbcbf9300809ab0339392d3f94d32ee.tar.gz
gentoo-1c541fcb6dbcbf9300809ab0339392d3f94d32ee.tar.bz2
gentoo-1c541fcb6dbcbf9300809ab0339392d3f94d32ee.zip
games-strategy/freeciv: "|| die" where QA wants it
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'games-strategy')
-rw-r--r--games-strategy/freeciv/freeciv-2.6.2.ebuild8
1 files changed, 4 insertions, 4 deletions
diff --git a/games-strategy/freeciv/freeciv-2.6.2.ebuild b/games-strategy/freeciv/freeciv-2.6.2.ebuild
index dfdabbce68c..e8166766834 100644
--- a/games-strategy/freeciv/freeciv-2.6.2.ebuild
+++ b/games-strategy/freeciv/freeciv-2.6.2.ebuild
@@ -158,8 +158,8 @@ src_install() {
default
if use dedicated ; then
- rm -rf "${ED}"/usr/share/pixmaps
- rm -f "${ED}"/usr/share/man/man6/freeciv-{client,gtk2,gtk3,modpack,qt,sdl,xaw}*
+ rm -rf "${ED}"/usr/share/pixmaps || die
+ rm -f "${ED}"/usr/share/man/man6/freeciv-{client,gtk2,gtk3,modpack,qt,sdl,xaw}* || die
else
if use server ; then
# Create and install the html manual. It can't be done for dedicated
@@ -178,8 +178,8 @@ src_install() {
fi
rm -f "${ED}"/usr/share/man/man6/freeciv-xaw*
fi
- find "${ED}" -name "freeciv-manual*" -delete
+ find "${ED}" -name "freeciv-manual*" -delete || die
- rm -f "${ED}/usr/$(get_libdir)"/*.a
+ rm -f "${ED}/usr/$(get_libdir)"/*.a || die
find "${ED}" -type f -name "*.la" -delete || die
}